Skip to content

Get tasks

GET
/tasks

Get tasks in the workspace with optional pagination and filtering.

Parameters

Query Parameters

from
integer

Starting index for pagination.

size
integer

Number of items to return.

matterId
string

The matterId to filter tasks by matter.

milestoneId
string

The milestoneId to filter tasks by milestone.

dueDateFrom
integer format: int64

List tasks with a due date that is later than this parameter as an integer representing milliseconds since the Unix epoch

dueDateTo
integer format: int64

List tasks with a due date that is earlier than this parameter as an integer representing milliseconds since the Unix epoch

statuses
string
Allowed values: TODO INPROGRESS INREVIEW DONE

Comma separated statuses of the task

Responses

200

List of tasks

object
data
Array<object>
object
type
string
id
string
attributes
object
name

Name of the task

string
description

Rich-text description of the task

string
status

Status of the task

string
Allowed values: TODO INPROGRESS INREVIEW DONE
dueDate

Due date of the task as an integer representing milliseconds since the Unix epoch

integer format: int64
isPriority

Whether the task is marked as a priority

boolean
createdDate

Created date of a task as an integer representing milliseconds since the Unix epoch

integer format: int64
tags

A list of label/value tags associated with the matter as an array of object .

Array<object>
object
label

The label of the tag (e.g., “priority”, “status”, “type”, “value”)

string
value

An optional value to the label of the tag (e.g., “high”, “open”, “ACC”, “$3,000”)

string
assignees

A list of assignees as userIds

Array<string>
reviewers

A list of reviewers as userIds

Array<string>
matterId

The matterId the task is associated with

string
matterName

The matter name the task is associated with

string
milestoneId

The milestoneId the task is associated with

string
milestoneName

The milestone name the task is associated with

string
meta
object
total

Total number of tasks

integer
100
showing

Total number of tasks returned so far

integer
10
from

Current starting index for pagination

integer
0